public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Remigiusz Micielski" <remigiusz.micielski@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: x11-wm/leftwm/
Date: Mon, 14 Aug 2023 12:26:32 +0000 (UTC)	[thread overview]
Message-ID: <1692015913.2fb3e59beb173c21a82b8ccef5d4249ef81b7f4b.remigiusz.micielski@gentoo> (raw)

commit:     2fb3e59beb173c21a82b8ccef5d4249ef81b7f4b
Author:     Remigiusz Micielski <rmicielski <AT> purelymail <DOT> com>
AuthorDate: Mon Aug 14 12:24:57 2023 +0000
Commit:     Remigiusz Micielski <remigiusz.micielski <AT> gmail <DOT> com>
CommitDate: Mon Aug 14 12:25:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2fb3e59b

x11-wm/leftwm: update LICENSE, move src_compile to src_configure

Signed-off-by: Remigiusz Micielski <rmicielski <AT> purelymail.com>

 x11-wm/leftwm/leftwm-0.4.2.ebuild | 33 ++++++++++-----------------------
 1 file changed, 10 insertions(+), 23 deletions(-)

diff --git a/x11-wm/leftwm/leftwm-0.4.2.ebuild b/x11-wm/leftwm/leftwm-0.4.2.ebuild
index b85ca6a952..e649080855 100644
--- a/x11-wm/leftwm/leftwm-0.4.2.ebuild
+++ b/x11-wm/leftwm/leftwm-0.4.2.ebuild
@@ -178,16 +178,11 @@ SRC_URI="
 	${CARGO_CRATE_URIS}
 "
 
-LICENSE="
-	|| ( Apache-2.0 MIT )
-	|| ( Apache-2.0 MIT )
-	|| ( Apache-2.0 MIT MPL-2.0 )
-	|| ( MIT )
-	|| ( MIT Unlicense )
-	Apache-2.0
-	MIT
-	Unlicense
-	MPL-2.0
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+	BSD-2 BSD MPL-2.0 Unicode-DFS-2016 ZLIB
+	|| ( Apache-2.0 Boost-1.0 )
 "
 SLOT="0"
 KEYWORDS="~amd64"
@@ -202,30 +197,22 @@ RDEPEND="${DEPEND}"
 
 QA_FLAGS_IGNORED="usr/bin/.*"
 
-src_compile() {
+src_configure() {
 	local myfeatures=(
 		$(usev lefthk)
 		$(usex systemd "journald-log" "")
 		$(usex syslog "sys-log" "")
 	)
-	cargo_src_compile --no-default-features
+	cargo_src_configure --no-default-features
 }
 
 src_install() {
 	dodoc README.md CHANGELOG
 	make_desktop_entry leftwm.desktop /usr/share/xsessions/
 
-	if use debug; then
-		cd target/debug || die "Couldn't cd into debug directory"
-	else
-		cd target/release || die "Couldn't cd into release directory"
-	fi
-
-	dobin leftwm{,-worker,-state,-check,-command}
-
-	if use lefthk; then
-		dobin lefthk-worker
-	fi
+	bins="target/$(usex debug debug release)"
+	dobin "${bins}"/leftwm{,-worker,-state,-check,-command}
+	use lefthk && dobin "${bins}"/lefthk-worker
 }
 
 src_test() {


             reply	other threads:[~2023-08-14 12:26 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-14 12:26 Remigiusz Micielski [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-25 14:25 [gentoo-commits] repo/proj/guru:dev commit in: x11-wm/leftwm/ Takuya Wakazono
2024-02-08  9:57 Takuya Wakazono
2023-08-14  8:15 Remigiusz Micielski
2023-08-13 14:19 Remigiusz Micielski
2023-08-13  9:01 Remigiusz Micielski
2023-03-27 16:27 Remigiusz Micielski
2023-01-18 23:03 Remigiusz Micielski
2023-01-18 21:29 Remigiusz Micielski
2022-10-23  8:32 Viorel Munteanu
2022-10-15 11:43 Luciano Degni
2022-05-14 20:30 Luciano Degni
2022-01-10 16:26 Luciano Degni
2022-01-10 16:26 Luciano Degni
2022-01-10 16:26 Luciano Degni
2022-01-07 19:52 Luciano Degni
2022-01-07 19:52 Luciano Degni
2022-01-07 19:52 Luciano Degni
2021-12-23  9:39 Luciano Degni
2021-12-23  9:39 Luciano Degni
2021-12-23  9:39 Luciano Degni
2021-12-15 11:23 Andrew Ammerlaan
2021-12-14  8:13 Luciano Degni
2021-12-13 10:27 Luciano Degni
2021-12-02 16:05 Luciano Degni
2021-11-10  8:57 Luciano Degni
2021-11-10  8:38 Luciano Degni
2021-11-04  9:00 Luciano Degni
2021-11-03 11:31 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-11-03 11:31 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-11-02  9:02 Luciano Degni

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1692015913.2fb3e59beb173c21a82b8ccef5d4249ef81b7f4b.remigiusz.micielski@gentoo \
    --to=remigiusz.micielski@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox